Powerbook G4 Tiger to Snow Leopard

Discussion in 'PowerPC Macs' started by Idiotgreenbox, Dec 15, 2011.

  1. Idiotgreenbox macrumors newbie

    Joined:
    Dec 15, 2011
    #1
    I purchased my PB G4 15" from a private seller in a booth at a local flea market about 2 years ago and the hard drive just went. I WAS running 10.6.4 i believe or whatever the latest Snow leopard. I swapped out the old HD w a larger one and went to install SL and wasn't even recognizing. Got ahold of a Tiger install disc, worked great. Tried SL and said i couldn't install. I am so frustrated!! All i want this comp for is my music and all the Torrents require 10.5 or later!! PLEASE HELP!!
     
  2. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #2
    If that is a Powerbook, there is no way Snow Leopard would ever run on it. You'll need a Leopard disc for it.
     
  3. Idiotgreenbox thread starter macrumors newbie

    Joined:
    Dec 15, 2011
    #3
    Man, maybe it was Leopard. But leopard will definitely work? i really don't wanna spend $150 bucks and it not work lol
     
  4. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
  5. Idiotgreenbox thread starter macrumors newbie

    Joined:
    Dec 15, 2011
    #5
    Thank i really appreciate it!! i was about to have a panic attacK!
     
  6. Nameci macrumors 68000

    Nameci

    Joined:
    Oct 29, 2010
    Location:
    The Philippines...
  7. reddrag0n macrumors 6502

    reddrag0n

    Joined:
    Oct 1, 2007
    Location:
    Canada
    #7
    The max OS you can run is 10.5.8 for your PPC Powerbook. SL or Snow Leopard requires an Intel processor, which the powerbooks are not.
     
  8. zen.state macrumors 68020

    zen.state

    Joined:
    Mar 13, 2005
    #8
    A quick visit to Wikipedia could have saved you from having that panic attack in the first place.
     
  9. reebzor macrumors 6502a

    reebzor

    Joined:
    Jul 18, 2008
    Location:
    Philadelphia, PA
    #9
    Not definitely-

    The OP didn't give any specs other than that it was a 15" PB G4. If its Alu, it will definitely work. However, there are 15" PB G4's (Ti) that do not meet the minimum CPU requirements for Leopard.

    OP, the CPU speed needs to be equal or greater than 867MHz in order for you to install Leopard.
     
  10. MAC MAN JW macrumors 6502

    MAC MAN JW

    Joined:
    Jul 12, 2011
    Location:
    Buffalo,Ny
    #10
    "OP, the CPU speed needs to be equal or greater than 867MHz in order for you to install Leopard"

    There are workarounds for that Called "LeopardAssist". Any PowerBook G4 can run leopard as long as it has 512MB Ram. It will even run on 256Mb if you install Leopard on a mac with 512Mb or more of ram then put the Hard drive back in the powerbook or use firewire target disc mode:)
     

Share This Page